HBASE-27076. [HBOSS] compile against hadoop 3.3.2+ only. (#34)